Bug 891395 - [abrt] emacs-24.2-5.fc18: update_cursor_in_window_tree: Process /usr/bin/emacs-24.2 was killed by signal 11 (SIGSEGV)
Summary: [abrt] emacs-24.2-5.fc18: update_cursor_in_window_tree: Process /usr/bin/emac...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:944ddf36144b2e2881dd02423b4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-02 19:39 UTC by Mark Salter
Modified: 2014-02-05 14:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 14:20:11 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (64.61 KB, text/plain)
2013-01-02 19:39 UTC, Mark Salter
no flags Details
File: cgroup (130 bytes, text/plain)
2013-01-02 19:39 UTC, Mark Salter
no flags Details
File: core_backtrace (7.87 KB, text/plain)
2013-01-02 19:39 UTC, Mark Salter
no flags Details
File: dso_list (11.47 KB, text/plain)
2013-01-02 19:39 UTC, Mark Salter
no flags Details
File: environ (1.65 KB, text/plain)
2013-01-02 19:40 UTC, Mark Salter
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-02 19:40 UTC, Mark Salter
no flags Details
File: maps (54.93 KB, text/plain)
2013-01-02 19:40 UTC, Mark Salter
no flags Details
File: open_fds (501 bytes, text/plain)
2013-01-02 19:40 UTC, Mark Salter
no flags Details
File: proc_pid_status (892 bytes, text/plain)
2013-01-02 19:40 UTC, Mark Salter
no flags Details
File: var_log_messages (388 bytes, text/plain)
2013-01-02 19:40 UTC, Mark Salter
no flags Details

Description Mark Salter 2013-01-02 19:39:49 UTC
Description of problem:
Quitting from ediff session.
Got this on console from which I started emacs:


(emacs:26067): Gtk-WARNING **: gtk_window_parse_geometry() called on a window with no visible children; the window should be set up before gtk_window_parse_geometry() is called.
t

Version-Release number of selected component:
emacs-24.2-5.fc18

Additional info:
backtrace_rating: 4
cmdline:        emacs
crash_function: update_cursor_in_window_tree
executable:     /usr/bin/emacs-24.2
kernel:         3.6.11-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 update_cursor_in_window_tree at /usr/src/debug/emacs-24.2/src/xdisp.c:25763
 #2 x_update_cursor at /usr/src/debug/emacs-24.2/src/xdisp.c:25782
 #3 frame_highlight at /usr/src/debug/emacs-24.2/src/xterm.c:3380
 #4 x_frame_rehighlight at /usr/src/debug/emacs-24.2/src/xterm.c:3583
 #5 x_focus_changed at /usr/src/debug/emacs-24.2/src/xterm.c:3442
 #7 x_detect_focus_change at /usr/src/debug/emacs-24.2/src/xterm.c:3526
 #8 handle_one_xevent at /usr/src/debug/emacs-24.2/src/xterm.c:6722
 #9 event_handler_gdk at /usr/src/debug/emacs-24.2/src/xterm.c:5834
 #10 gdk_event_apply_filters at gdkeventsource.c:81
 #11 gdk_event_source_translate_event at gdkeventsource.c:195

Comment 1 Mark Salter 2013-01-02 19:39:52 UTC
Created attachment 671637 [details]
File: backtrace

Comment 2 Mark Salter 2013-01-02 19:39:54 UTC
Created attachment 671638 [details]
File: cgroup

Comment 3 Mark Salter 2013-01-02 19:39:56 UTC
Created attachment 671639 [details]
File: core_backtrace

Comment 4 Mark Salter 2013-01-02 19:39:58 UTC
Created attachment 671640 [details]
File: dso_list

Comment 5 Mark Salter 2013-01-02 19:40:00 UTC
Created attachment 671641 [details]
File: environ

Comment 6 Mark Salter 2013-01-02 19:40:02 UTC
Created attachment 671642 [details]
File: limits

Comment 7 Mark Salter 2013-01-02 19:40:05 UTC
Created attachment 671643 [details]
File: maps

Comment 8 Mark Salter 2013-01-02 19:40:07 UTC
Created attachment 671644 [details]
File: open_fds

Comment 9 Mark Salter 2013-01-02 19:40:09 UTC
Created attachment 671645 [details]
File: proc_pid_status

Comment 10 Mark Salter 2013-01-02 19:40:11 UTC
Created attachment 671646 [details]
File: var_log_messages

Comment 11 Fedora Admin XMLRPC Client 2013-02-27 15:48:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Petr Hracek 2013-05-27 13:26:39 UTC
Hi Mark,

the similar issue was already solved as by upstream as by Fedora.
http://bzr.savannah.gnu.org/lh/emacs/trunk/revision/111078
https://bugzilla.redhat.com/show_bug.cgi?id=929353

Could you please update to the latest one and let me know whether problem was solved?

After applying that patch I am not able to reproduce that.

Comment 13 Fedora End Of Life 2013-12-21 10:09:06 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2014-02-05 14:20:19 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.